library ieee;
use ieee.std_logic_1164.all;

entity DISP_MUX is
  port(EXP_TIME    : in  integer range 0 to 10;
       NO_PICS     : in  integer range 0 to 10;
       SHOW_TIME   : in  std_ulogic;
       ERROR       : in  std_ulogic;
       DISP_PHOTO  : out integer range 0 to 10);
end DISP_MUX;

architecture RTL of DISP_MUX is
begin
  process (SHOW_TIME, NO_PICS, EXP_TIME, ERROR)
  begin
    if SHOW_TIME = '0' then
      DISP_PHOTO <= NO_PICS;
    else
      DISP_PHOTO <= EXP_TIME; 
    end if;

    if ERROR = '1' then
      DISP_PHOTO <= 10;
    end if;
  end process;
end RTL;
