import java.applet.*;
import java.awt.*;
import java.io.*;
import java.util.*;
import java.awt.event.*;
import java.net.URL;

public class search extends Applet implements ActionListener, Runnable {

    TextField ifield;
    WorkCanvas wfield;
    List olist;
    Vector found;
    Thread searchThread;
    String sword;
    
    public void init() {
      try {
        found=new Vector();
        setLayout(new BorderLayout());
        ifield=new TextField("",20);
        wfield=new WorkCanvas(10,5);
        olist =new List(10);
        olist.setMultipleMode(false);
        Panel p1=new Panel();
        Panel p2=new Panel();
        Label l=new Label("Keyword :");
        Button search = new Button("Search");
        Button show = new Button("Show");
        Button inter = new Button("Interrupt");
        search.addActionListener(this);
        show.addActionListener(this);
        inter.addActionListener(this);
        p1.add(l);
        p1.add(ifield);
        p1.add(wfield);
        add("North",p1);
        add("Center",olist);
        p2.add(search);
        p2.add(show);
        p2.add(inter);
        add("South",p2);
      }
      catch (Exception e){
         System.out.println(e);
      }
    }

    public void destroy() {
 
    }
    
    
    public void showWork(boolean working){
       wfield.freeze(!working);    
    }
    
    public void doSearch(String word){
       sword=word;
       if (searchThread==null){
          searchThread= new Thread(this);
       }
       searchThread.start();
    }
    
    public void run() {
       boolean done=false;
       showWork(true);
       Thread.currentThread().setPriority(Thread.MAX_PRIORITY);
       while (Thread.currentThread() == searchThread && done == false) {
          findString(sword);
          ifield.setEditable(true);
          showWork(false);
          done=true;
       }
    }
    
    public void findString(String word){  
       try{
          BufferedReader d = getBufferedReader("html/index.txt");
          String fil= new String();
          String con= new String();
          String temp=new String();
          String res= new String();
          String res_low= new String();
          String word_low=word.toLowerCase();
          while ((fil=d.readLine()) != null){
             res="";
             String title=new String();
             System.out.println("checking : " +fil);
             BufferedReader f = getBufferedReader(fil);
             while ((temp=f.readLine()) != null){
                res=res+temp;
                //Thread.sleep(5);// workaround for sun machines with netscape...
             }
             res_low=res.toLowerCase();
             if(res_low.indexOf("<title>") != -1){
                title=res.substring(res_low.indexOf("<title>")+7,res_low.indexOf("</title>"));
                System.out.println(" Title : " +title);
             }
             if(res_low.indexOf(word_low) != -1){
                System.out.println(" found ...");
                insertOrder(res_low,word_low,title,fil);
             }
             else{
                 System.out.println(" not found ...");
             }
          }       
       }
       catch (Exception e){
          System.out.println(e);
       }
    }
    
    public void insertOrder(String res, String word, String title, String fil){
       proplink p= new proplink(title,fil);
       int idx=0;
       while((idx=res.indexOf(word,idx+1))!=-1){
          p.addOccurence();
       }
       if (found.size()>0){
          for(int i=0;i<found.size();i++){
             if (((proplink)found.elementAt(i)).getOccurence()<=p.getOccurence()){
                found.insertElementAt(p,i);
                olist.add(p.toString(),i); 
                break;   
             }
          }
       }
       else{
          found.insertElementAt(p,0);
          olist.add(p.toString(),0); 
       }
    }
    
    public BufferedReader getBufferedReader(String url){
       InputStream in = getClass().getResourceAsStream(url);
       BufferedReader d = new BufferedReader(new InputStreamReader(in));    
       return d;
    }

    public void actionPerformed(ActionEvent e) {
      if (e.getActionCommand().equals("Search")){
         ifield.setEditable(false);
         found.removeAllElements();
         olist.removeAll();
         String word=new String(ifield.getText());
         System.out.println("searching for : "+word);
         if (searchThread != null){
            searchThread.stop();
            searchThread = null;
         }
         doSearch(word);
      }
      else if (e.getActionCommand().equals("Show")){
         String url=getCodeBase()+((proplink)found.elementAt(olist.getSelectedIndex())).getURL();
         System.out.println("show :"+url);
         try{
            getAppletContext().showDocument(new URL(url),"main");
         }
         catch (Exception f){
            System.out.println(f);
         }      
      }
      else{ //Interrupt...
         showWork(false);
         if (searchThread != null){
            System.out.println("Interrupting ...");
            searchThread.stop();
            searchThread = null;
         }
         ifield.setEditable(true);
      }
    }
    
    class proplink {
       String url;
       String title;
       int occurence;
       
       proplink(String i, String j){
          setTitle(i);
          setURL(j);
          occurence=0;
       }
       
       public void addOccurence(){
          occurence++;
       }
       
       public int getOccurence(){
          return occurence;
       }    
          
       public String getURL(){
          return url;
       }
       
       public void setURL(String s){
          url=s;
       }
       
       public String getTitle(){
          return title;
       }
       
       public void setTitle(String s){
          title=s;
       }
       
       public String toString(){
          return "("+getOccurence()+") "+getTitle();
       }
    }
}
