library ieee;
use ieee.std_logic_1164.all;
use work.P_DISPLAY.all;

entity EXP_FF is
port(CLK         : in  std_ulogic;
     RESET       : in  std_ulogic;
     KEY         : in  T_DIGITS;
     EXP_TIME    : out T_DIGITS);
end EXP_FF;

architecture RTL of EXP_FF is
begin
  process(CLK, RESET)
  begin
    if (RESET = '1') then
      EXP_TIME <= (0,0,1);

    elsif (CLK'event and CLK = '1') then
      if (KEY /= (0,0,0)) then
        EXP_TIME <= KEY;
      end if;
    end if;
  end process;
end RTL;
